com.pixelmed.apps

## Class ConvertPaletteColorToGrayscale

- java.lang.Object
- - com.pixelmed.apps.ConvertPaletteColorToGrayscale

    public class ConvertPaletteColorToGrayscale
    extends java.lang.Object

A class of static methods to convert PALETTE COLOR to MONOCHROME2 images.

### Constructor Summary

Constructors
Constructor and Description
`ConvertPaletteColorToGrayscale(java.lang.String inputFileName, java.lang.String outputFileName)` Read a DICOM image input format file with a Photometric Interpretation of PALETTE COLOR, and from it create a DICOM image of Photometric Interpretation MONOCHROME2.

### Method Summary

Methods
`static void` `main(java.lang.String[] arg)` Read a DICOM image input format file with a Photometric Interpretation of PALETTE COLOR, and from it create a DICOM image of Photometric Interpretation MONOCHROME2.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConvertPaletteColorToGrayscale

    public ConvertPaletteColorToGrayscale(java.lang.String inputFileName,
                                  java.lang.String outputFileName)
                                   throws DicomException,
                                          java.io.FileNotFoundException,
                                          java.io.IOException

Read a DICOM image input format file with a Photometric Interpretation of PALETTE COLOR, and from it create a DICOM image of Photometric Interpretation MONOCHROME2.

Parameters:
  `inputFileName` - the input file name
  `outputFileName` - the output file name
Throws:
  `DicomException`
  `java.io.FileNotFoundException`
  `java.io.IOException`

### Method Detail

#### main

    public static void main(java.lang.String[] arg)

Read a DICOM image input format file with a Photometric Interpretation of PALETTE COLOR, and from it create a DICOM image of Photometric Interpretation MONOCHROME2.

Parameters:
  `arg` - two parameters, the inputFile, outputFile